<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->

<h1 class="h2 fw-medium mb-3">
	{{ 'dataExchange.import.title.' + exchangeIndex | translate }}
</h1>
<p class="mb-4">
	{{ 'dataExchange.import.instruction' | translate }}
</p>

<sdm-page-actions #pageActionsComponent [forceInProgress]="forceProgress">
	<i aria-hidden="true" class="bi bi-upload" onReady></i>
	<p onError>
		{{ 'dataExchange.import.pageActions.error.' + pageActionsComponent.errorFeedbackCode | translate }}
	</p>
	<p onReady>
		{{ 'dataExchange.import.pageActions.instruction' | translate }} {{ 'dataExchange.import.pageActions.importNumber.' + exchangeIndex | translate }}
	</p>

	<ng-container onReady [ngTemplateOutlet]="fileSelector"></ng-container>
	<ng-container onError [ngTemplateOutlet]="fileSelector"></ng-container>
	<ng-template #fileSelector>
		<input type="file" id="selectedFile" style="display: none;" (change)="onFileSelected($event)"/>
	</ng-template>

	<ng-container onReady [ngTemplateOutlet]="importButton"></ng-container>
	<ng-container onError [ngTemplateOutlet]="importButton"></ng-container>
	<ng-template #importButton>
		<button class="btn btn-primary" type="button" onclick="document.getElementById('selectedFile').click();">
			<i class="bi bi-arrow-right-circle"></i>
			{{ 'dataExchange.import.pageActions.import' | translate }}
		</button>
	</ng-template>

	<div class="spinner" onProgress>
		<span aria-hidden="true" class="spinner-border"></span>
		<span class="visually-hidden" role="status">{{ 'common.loading' | translate }}</span>
	</div>
	<p onProgress>
		{{ 'dataExchange.import.pageActions.inProgress' | translate }}
	</p>

	<i aria-hidden="true" class="bi bi-check-circle text-success" onComplete></i>
	<p onComplete>
		{{ 'dataExchange.import.pageActions.complete' | translate }}
	</p>

	<label onComplete class="btn btn-link ms-auto" for="importFile">
		{{ 'dataExchange.import.pageActions.import' | translate }}
	</label>
	<input onComplete (change)="onFileSelected($event)" accept=".sdm" class="visually-hidden" id="importFile" type="file"/>

	<button class="btn btn-primary ms-2" onComplete sdmRouterLinkNext type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'common.next' | translate }}
	</button>
</sdm-page-actions>

<sdm-progress [displayMetrics]="false"/>